Subject: bug#45345: [elpa-archive] "make build/<package>" should not pull unconditionally

From: Jonas Bernoulli <[email-masked]>
Date: Sun, 20 Dec 2020 21:31:29 +0100

> - Another advantage is that the new code makes it much easier to build
>   your own tarballs, for example to test them before pushing to code.
>   You can just do `make build/[PKGNAME]` and the resulting package will
>   be built in `archive/[PKGNAME]-[VERSION].tar.

That almost worked. "make build/<package>" (or `elpaa--make-one-package')
calls `elpaa--external-package-sync', which pulls.  That of course is not
desirable when one wants to test some other revision of the package than
what would end up being pulled.